IndicatorViewsForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.IndicatorViewsForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class IndicatorViewsForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.IndicatorViewsForm

All Implemented Interfaces:
  java.io.Serializable

    public class IndicatorViewsForm

extends BaseValidatorForm

The form object which captures the view name used for the indicator charts

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`IndicatorViewsForm()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getAddMetric()`
`java.lang.String[]` | `getMetric()`
`long` | `getTimeToken()`
`java.lang.String` | `getUpdate()`
`java.lang.String` | `getView()`
`java.lang.String[]` | `getViews()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAction(java.lang.String action)`
`void` | `setAddMetric(java.lang.String addMetric)`
`protected void` | `setDefaults()`
`void` | `setMetric(java.lang.String[] metric)`
`void` | `setTimeToken(long timeToken)`
`void` | `setUpdate(java.lang.String update)`
`void` | `setView(java.lang.String view)`
`void` | `setViews(java.lang.String[] views)`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, toString, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndicatorViewsForm

    public IndicatorViewsForm()

Method Detail

### getAction

    public java.lang.String getAction()

### setAction

    public void setAction(java.lang.String action)

### getView

    public java.lang.String getView()

### setView

    public void setView(java.lang.String view)

### getViews

    public java.lang.String[] getViews()

### setViews

    public void setViews(java.lang.String[] views)

### getMetric

    public java.lang.String[] getMetric()

### setMetric

    public void setMetric(java.lang.String[] metric)

### setAddMetric

    public void setAddMetric(java.lang.String addMetric)

### getAddMetric

    public java.lang.String getAddMetric()

### getTimeToken

    public long getTimeToken()

### setTimeToken

    public void setTimeToken(long timeToken)

### getUpdate

    public java.lang.String getUpdate()

### setUpdate

    public void setUpdate(java.lang.String update)

### setDefaults

    protected void setDefaults()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.